Forum Post
Index > Scribe > Gmail Settings

Author/Date Gmail Settings
Rob
06/02/2005 4:49am
Has anyone successfully been able to run their POP3 enabled Gmail through i.Scribe yet?

If so, what server settings have you used to get it to work. I'm stumped?????

~ R
Rob
06/02/2005 6:15am
Sorry... I only just found 'Geodog's' thread... but even after installing the OpenSSL app, when I try to add the SSL plugin I get this error message:

ScribePlugin load log:

Operating system couldn't load the library file (.DLL/.SO)

Failed.

Any clues with what's going on here?
fret
06/02/2005 11:16pm
Firstly you should unpack the SSL plugin into the same folder as Scribe. And then from the File -> Plugins window in Scribe add 'Scribe_SSL.dll'.

Which OS version are you using?

Which version of Scribe? (You should be using v1.88 test3 or test4 with the latest download of the SSL plugin.
fret
06/02/2005 11:27pm
Actually if your downloading the plugin again make sure you get v1.88-test4 as well. I updated both over the weekend so I'm not sure what you already have.

Secondly I've tested gmail access myself and it works fine. So if we can get past the SSL plugin problems then it should be good to go.
Rob
07/02/2005 12:06am
OK... I'm gonna get this if it kills me!

SSL Plugin is now installed OK.

And here's my settings as I have them:

----------------------
SEND

Server: smtp.gmail.com:465
(Optional)Domain: -
Username: myusername@gmail.com
Authentication Type: All
----
RECEIVE

Mail Box Type: POP3
Server Port: pop.gmail.com:995
Username: myusername@gmail.com
----
CONNECTION

Both Send and Receive SSL boxes checked (on).
----------------------

With those settings I do a check mail and get the following log error message:

Connected to 'pop.gmail.com:995' using SSL
Error 1: error:00000001:lib(0):func(0):reason(1)

SSL Connection Closed
fret
07/02/2005 12:22am
I think something is blocking the socket connection to pop.gmail.com. I can access my account using that address fine. Although I don't put the '@gmail.com' on the username.

Can you ping pop.gmail.com?
fret
07/02/2005 12:40am
e.g.
Connected to 'pop.gmail.com:995' using SSL
+OK Gpop ready.
USER *******
+OK send PASS
PASS *******
+OK Welcome.
STAT
+OK 0 0
QUIT

SSL connection closed.

Rob
07/02/2005 12:48am
can you explain how one 'pings'? LOL

Sorry mate... I'm not that 'techie'...
Rob
07/02/2005 12:50am
Could it be the firewall here at work?
fret
07/02/2005 1:01am
Firewall: definiately. A firewall will block all sorts of outgoing traffic as well as incomming traffic.

To ping something, open up a command prompt (start->run: 'cmd' on 2k or XP). Then:
c:\winnt\>ping pop.gmail.com

And hit enter. If you get 100% packet loss in the summary at the bottom it's not a good sign.
fret
07/02/2005 1:04am
If your work allows SSH connections out of the firewall you can use that to bounce the connection off an intermediate server. Although it's tricky to setup it's more secure than any POP or SMTP connection normally is. You'd have to find out from the sysadmin whether they let you do that.
Rob
07/02/2005 1:11am
my PC is so locked down here I can't even get to a DOS prompt. I'll just try it when I get home and see what happens... thanks anyway...
Rob
07/02/2005 8:30am
OK... so it's definitely a firewall issue in terms of at work. I am now able to receive emails at home, but sending them now gives me the following error:
--------------------------------
myusername@gmail.com ((null))

We're rejected by the server:
No 'from' address in email.
Server error message.
No 'from' address in email.
--------------------------------

You getting sick of me yet? LOL
fret
07/02/2005 10:30am
I've verified that it works with the following settings:

Server: smtp.gmail.com:587
Domain:
ESMTP: on
Username: [myuser]
Pass: [mypass]
Auth Type: 'All'
Preferred chars: (whatever)

And obviously, turn on SSL for sending in the connection tab.
Rob
07/02/2005 2:38pm
Yeah I'm all good now...

The problem ended up being that I hadn't filled out the fields under: File > Options > Identity

Fantastic program mate! Well done!
Geoff Hill
21/02/2005 6:51pm
GMail help also. I am also having trouble with gmail access. I have followed the instructions:
(a) installed 1.88 v5 of i.scribe
(b) unpacked SSL plugin into i.scribe directory
(c) changed the account setup to
send
smtp.gmail.com:587

receive
pop.gmail.com:995

(d) checked both send and receive for SSL

I can successfully send messages, but I cannot receive messages. I get the following message in the log file

Connected to pop.gmail.com:995 using SSL
+OK gpop ready
USER hillgm
+OK send PASS
PASS ******
-ERR [SYS/PERM] Your account is not enabled for POP access
SSL connection close

Can anyone identify what I am doing wrong please.
fret
21/02/2005 9:26pm
Geoff: You need to switch POP access on in the Gmail interface. Go into Settings->Forwarding And POP->POP Download

Then it should work.
Reply